# use appimage from https://github.com/0ad-matters/0ad-appimage/releases

%define __os_install_post %{nil}

Name:	0ad
Version:	0.0.26
Release:	%mkrel 1
License:	GPLv3
Group:	Games/Strategy
Summary:	Cross-Platform RTS Game of Ancient Warfare
Url:		http://play0ad.com/
Source1:    %{name}.desktop
Source2:   %{name}.png
Obsoletes: 0ad
Provides: 0ad = %{version}-%{release}
Obsoletes: 0ad-data
Provides: 0ad-data = %{version}-%{release}
AutoReqProv: no

%description
0 A.D. (pronounced "zero ey-dee") is a free, open-source, cross-platform
real-time strategy (RTS) game of ancient warfare. In short, it is a
historically-based war/economy game that allows players to relive or rewrite
the history of Western civilizations, focusing on the years between 500 B.C.
and 500 A.D. The project is highly ambitious, involving state-of-the-art 3D
graphics, detailed artwork, sound, and a flexible and powerful custom-built
game engine.

The game has been in development by Wildfire Games (WFG), a group of volunteer,
hobbyist game developers, since 2001.

%prep

%build

%install
pushd %{_sourcedir}
wget -nc https://github.com/0ad-matters/0ad-appimage/releases/download/v0.0.26-alpha/0ad-0.0.26-alpha-2210010553-x86_64.AppImage
popd

install -Dm 0755 %{_sourcedir}/0ad-0.0.26-alpha-2210010553-x86_64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus


%changelog
* Mon Oct 03 2022  tex - 0.0.26-1pclos2022
- new version
